# Get your own user details GET https://app.unleash-instance.example.com/api/admin/user Detailed information about the current user, user permissions and user feedback Reference: https://docs.getunleash.io/api/get-me ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get your own user details version: endpoint_users.getMe paths: /api/admin/user: get: operationId: get-me summary: Get your own user details description: >- Detailed information about the current user, user permissions and user feedback tags: - - subpackage_users parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: meSchema content: application/json: schema: $ref: '#/components/schemas/meSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} components: schemas: UserSchemaAccountType: type: string enum: - value: User - value: Service Account userSchema: type: object properties: id: type: integer description: The user id name: type: - string - 'null' description: Name of the user email: type: string description: Email of the user username: type: - string - 'null' description: A unique username for the user imageUrl: type: string description: URL used for the user profile image inviteLink: type: string description: >- If the user is actively inviting other users, this is the link that can be shared with other users loginAttempts: type: integer description: How many unsuccessful attempts at logging in has the user made emailSent: type: boolean description: Is the welcome email sent to the user or not rootRole: type: integer description: >- Which [root role](https://docs.getunleash.io/concepts/rbac#predefined-roles) this user is assigned seenAt: type: - string - 'null' format: date-time description: The last time this user logged in createdAt: type: string format: date-time description: The user was created at this time accountType: $ref: '#/components/schemas/UserSchemaAccountType' description: A user is either an actual User or a Service Account permissions: type: array items: type: string description: Deprecated scimId: type: - string - 'null' description: The SCIM ID of the user, only present if managed by SCIM seatType: type: - string - 'null' description: The seat type of this user companyRole: type: - string - 'null' description: The role of the user within the company. productUpdatesEmailConsent: type: - boolean - 'null' description: Whether the user has consented to receive product update emails. activeSessions: type: - integer - 'null' description: Count of active browser sessions for this user deletedSessions: type: number format: double description: >- Experimental. The number of deleted browser sessions after last login required: - id permissionSchema: type: object properties: permission: type: string description: >- [Project](https://docs.getunleash.io/concepts/rbac#project-level-permissions) or [environment](https://docs.getunleash.io/concepts/rbac#environment-level-permissions) permission name project: type: string description: The project this permission applies to environment: type: string description: The environment this permission applies to required: - permission feedbackResponseSchema: type: object properties: userId: type: integer description: The ID of the user that gave the feedback. neverShow: type: boolean description: >- `true` if the user has asked never to see this feedback questionnaire again. given: type: - string - 'null' format: date-time description: When this feedback was given feedbackId: type: string description: The name of the feedback session meSchema: type: object properties: user: $ref: '#/components/schemas/userSchema' permissions: type: array items: $ref: '#/components/schemas/permissionSchema' description: User permissions for projects and environments feedback: type: array items: $ref: '#/components/schemas/feedbackResponseSchema' description: User feedback information splash: type: object additionalProperties: type: boolean description: Splash screen configuration required: - user - permissions - feedback - splash ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/user" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/user'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/user" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/user") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/user") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/user', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/user"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/user")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```